package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.BisOccuDiseHazRec;

/**
 * 职业病危害记录 服务层
 */
public interface IBisOccuDiseHazRecService {

    /**
     * 查询职业病危害记录信息
     * @param guid 查询条件
     * @return 职业病危害记录信息
     */
    BisOccuDiseHazRec selectBisOccuDiseHazRecByGuid(String guid);

    /**
     * 查询职业病危害记录列表
     * @param bisOccuDiseHazRec 职业病危害记录查询条件
     * @return 职业病危害记录集合
     */
    List<BisOccuDiseHazRec> selectBisOccuDiseHazRecList(BisOccuDiseHazRec bisOccuDiseHazRec);

    /**
     * 新增职业病危害记录
     * @param bisOccuDiseHazRec 职业病危害记录信息
     * @return 影响行数
     */
    int insertBisOccuDiseHazRec(BisOccuDiseHazRec bisOccuDiseHazRec);

    /**
     * 修改职业病危害记录
     * @param bisOccuDiseHazRec 职业病危害记录信息
     * @return 影响行数
     */
    int updateBisOccuDiseHazRec(BisOccuDiseHazRec bisOccuDiseHazRec);

    /**
     * 删除职业病危害记录
     * @param guid 职业病危害记录主键
     * @return 影响行数
     */
    int deleteBisOccuDiseHazRecByGuid(String guid);

    /**
     * 批量删除职业病危害记录
     * @param guids 职业病危害记录主键数组
     * @return 影响行数
     */
    int deleteBisOccuDiseHazRecByGuids(String[] guids);
}
